PDA

View Full Version : ISMP 5.0 on IRIX 6.5: could not load platform pack



aquila
04-14-2003, 05:22 PM
OS: IRIX 6.5.x
JRE: Java 2 Execution Environment (java2_eoe), v1.4.1
ISMP: v5.0

I got the following warnings when I launch the ismp on my IRIX 6.5 system:

WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/macosxppk.jar: java.lang.ClassNotFoundException: com.installshield.wizard.platform.macosx.MacOSXPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/solarisppk.jar: java.lang.ClassNotFoundException: com.installshield.wizard.platform.solaris.SolarisPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/cimppk.jar: java.lang.ClassNotFoundException: com.installshield.wizard.platform.cim.CIMPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/aixppk.jar: java.lang.ClassNotFoundException: com.ibm.wizard.platform.aix.AixPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/genericunixppk.jar: java.lang.ClassNotFoundException: com.installshield.wizard.platform.genericunix.GenericUnixPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/as400ppk.jar: java.lang.ClassNotFoundException: com.ibm.wizard.platform.as400.IBMAS400PlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/linuxppk.jar: java.lang.ClassNotFoundException: com.ibm.wizard.platform.linux.LinuxPlatformPack
WARNING: could not load platform pack in library /usr/InstallShield/MP50Eval/ppk/hpuxppk.jar: java.lang.ClassNotFoundException: com.installshield.wizard.platform.hpux.HpuxPlatformPack


The tool did come up in the end but only has Windows as the only supported platform. What should I do to solve this problem?

Thanks.

Jeff Dillon
04-15-2003, 09:12 AM
Try launching ISMP by following the description in launch.txt.

There may be a problem with how the ISMP launcher reads the ismp.cp file. The problem is that the platform dependent jar files are not making it into your class path. You can force this by launching ISMP with java directly. This is described in the above mentioned launch.txt file.

aquila
04-15-2003, 09:46 AM
That works. Thanks.